<?php
include 'db.php';
include 'memory_class.php';

/*
create table mem_used (serial_id serial, datestamp datetime year to second default current year to second,
 total int, used int, free int, shared int, buffers int, cached int);
*/

$memory = new memory();

//shell_exec runs the command specified.
/* free output:
             total       used       free     shared    buffers     cached
Mem:       4050752     462308    3588444          0      26952     337312
-/+ buffers/cache:      98044    3952708
Swap:      2103292          0    2103292
*/

//run free, pipe it to grep so it only displays the Memory line, then return the string to $output
$output = shell_exec('free | grep ^Mem');

//use preg_split to use a regex expression to split the string by any number of spaces 
$memory_array = preg_split('/\s+/',$output);
/*
Return:
Array
(
    [0] => Mem:
    [1] => 4050752
    [2] => 462308
    [3] => 3588444
    [4] => 0
    [5] => 26952
    [6] => 337312
    [7] =>
)
*/

// Set the attributes of the memory object to the values from the array
$memory->total = $memory_array[1];
$memory->used = $memory_array[2];
$memory->free = $memory_array[3];
$memory->shared = $memory_array[4];
$memory->buffers = $memory_array[5];
$memory->cached = $memory_array[6];

/*
memory Object
(
    [serial_id] => -1
    [total] => 4050752
    [used] => 462308
    [free] => 3588444
    [shared] => 0
    [buffers] => 26952
    [cached] => 337312
)
*/

//Call the public save function of the class
$memory->save();

//Output the array
print_r($memory);
