<?php

/*
create table mem_used (serial_id serial, datestamp datetime year to second default current year to second,
 total int, used int, free int, shared int, buffers int, cached int);
*/

class memory {
	
	function __construct($serial_id = -1) {
		if ($serial_id == -1) {
			memory::new_memory_entry();
		} else {
			memory::load_memory_entry($serial_id);
		}	
	}

	private function new_memory_entry(){
		$this->serial_id = -1;
		$this->total = 0;
	}

	private function load_memory_entry($serial_id){
		global $dbh;
		try {
			$sqlline = "select datestamp, total, used, free, shared, buffers, 
				cached from mem_used where serial_id = ?";
			$sth = $dbh->prepare($sqlline);
			$sth->execute(array($serial_id));
			$row = $sth->fetch(PDO::FETCH_OBJ);
			foreach ($row as $key=>$var){
				$this->$key = $var;
			}
		} catch (Exception $e) {
			die("Something Went Wrong\n");
		}
	}

	public function save(){
		global $dbh;
		try {
			$sqlline = "insert into mem_used (total, used, free, shared, buffers, cached) 
				values (?, ?, ?, ?, ?, ?)";
			$sth = $dbh->prepare($sqlline);
			$values = array( $this->total, $this->used, $this->free, $this->shared, 
				$this->buffers, $this->cached );
			$sth->execute($values);

			$sqlline = "select dbinfo('sqlca.sqlerrd1') from systables where tabid = 1";
			$sth = $dbh->prepare($sqlline);
			$sth->execute();
			$row = $sth->fetch();
			$this->serial_id = $row[0];
		} catch (Exception $e) {
			die("Something Went Wrong With Saving\n");
		}
	}

}
	

